## fig2dev 3.2.6

=== debian/changelog ===
fig2dev (1:3.2.6-2) unstable; urgency=medium

  * 30_creation_date: Fix creation_date() function to give correct date
    instead of 1970-01-01 on powerpc, hppa, and mips (Closes: #834222).
  * 14_fig2mpdf: Fix some format extra args errors.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 14 Aug 2016 20:22:25 +0200

fig2dev (1:3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6.
  * The following patch is incorporated upstream now: 30_man_comment.
  * Adapt all other patches to new upstream version.
  * Keep upstream version and release date (remove 31_debian-version).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 09 Aug 2016 20:06:00 +0200

fig2dev (1:3.2.6~rc-2) unstable; urgency=medium

  * Fix handling of "rc" in version mangling of debian/watch file.
  * Build VERSION and RELEASEDATE based on debian/changelog info.
    Now the Debian version is included in PS/EPS files (Closes: #504986).
  * Use dh-autoreconf to rebuild autoconf environment.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 18 Jul 2016 10:28:54 +0200

fig2dev (1:3.2.6~rc-1) unstable; urgency=medium

  * New upstream version 3.2.6-rc.
  * The following patches were incorporated upstream: 04_displaywho,
    05_locale, 09_maxfontsize, 18_fig2ps2tex_bashisms, 20_transfig_pdftex,
    22_typos, 33_honour_SOURCE_DATE_EPOCH, 34_transfig.1,
    35_manpage_typos, 36_manpage_ce2RS, 37_OBJ_typedef, 38_unusedcharset,
    39_gs_quote, 40_ColorImageFilter, 41_arrowhead, 42_PDF_help.
  * Install lintian overrides via dh_lintian.  This repairs
    "dpkg-buildpackage -A".  Thanks to Santiago Vila (Closes: #830321).
  * Add "rc" to version in debian/watch file.
  * 29_RGBFILE: Add environment variable FIG2DEV_RGBFILE to point to
    local rgb.txt in testsuite.
  * 30_man_comment: Fix comment macro in man page.
  * Add netpbm to build-dependencies, because pnmarith is needed for test
    suite.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 12 Jul 2016 21:13:31 +0200

fig2dev (1:3.2.6~beta-2) unstable; urgency=medium

  * Add "Provides: transfig" header.
  * Add patches by Brian Smith, that were planned for a (never published)
    3.2.5f and adapt them to 3.2.6-beta:
    - 36_manpage_ce2RS: Changed .ce (center lines) to .RS (right-justify) in
      fig2ps2tex man page file because of issues when generating HTML
      (From Eric Raymond).
    - 37_OBJ_typedef: Changed object defs from O_ to OBJ_ because O_TEXT
      conflicts with system typedef.
    - 38_unusedcharset: Remove unused charset variables cs and ca.
    - 39_gs_quote: Quotes added to output file name for several formats in
      case there are blanks in the name.
    - 40_ColorImageFilter: For PDF output, changed -dColorImageFilter from
      /FlateEncode to /DCTEncode for lossy compression (smaller pdf files).
    - 41_arrowhead: On lines with Round or Projecting cap style and
      arrowheads, the line endpoint stuck out beyond the arrowhead (this
      was fixed in xfig 3.2.5c, but not here until now).
      (additionally adapt test 12 to the new behavior)
    - 42_PDF_help: Optimize help string for PDF options.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 02 Jul 2016 15:23:55 +0200

fig2dev (1:3.2.6~beta-1) unstable; urgency=medium

  * New upstream version 3.2.6-beta (Thanks to Thomas Loimer for taking
    over upstream maintainership and porting it to autoconf).
  * The package is now renamed from transfig to fig2dev upstream and also
    the Debian package.
  * The following patches were incorporated upstream: 01_manual_fixup,
    02_ru_RU.KOI8-R, 03_Imakefile_Debian, 08_genps_oldpatterns,
    13_remove_extralibs, 20_transfig_pdftex, 21_rename_optopt,
    30_fprintf_format, 31_index_not_static, 32_dev_Imake_typo.
  * 06_gen_manual was moved into debian/rules.
  * All other patches were adapted to the new upstream version.
  * Update watch to new SourceForge location.
  * Change installation stuff to use dh_install where possible.
  * Change Homepage to sourceforge.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 02 Jul 2016 12:58:37 +0200

transfig (1:3.2.5.e-6) unstable; urgency=medium

  * 33_honour_SOURCE_DATE_EPOCH: Honour SOURCE_DATE_EPOCH environment
    variable. Thanks to Alexis Bienvenüe (Closes: #819911).
  * Use -std=c99 to make the former patch buildable on jessie.
  * Add -p to QUILT_DIFF_OPTS.
  * Upgrade to Standards-Version 3.9.8 (no changes).
  * Make copyright DEP-5 compliant.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 06 Apr 2016 09:19:18 +0200

transfig (1:3.2.5.e-5) unstable; urgency=medium

  * Upgrade to Standards-Version 3.9.6 (no changes).
  * Run wrap-and-sort.
  * Upgrade to debhelper 9.
  * 22_typos: Fix another typo in error messages and man page.
  * debian/copyright: Refer to GPL-2.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jan 2016 11:49:20 +0100

transfig (1:3.2.5.e-4) unstable; urgency=low

  * 32_dev_Imake_typo: use gengbx.c instead of gengbx.o in SRCS, otherwise
    gccmakedep fails (Closes: #759236).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 26 Aug 2014 10:05:12 +0200

transfig (1:3.2.5.e-3) unstable; urgency=low

  * New really set Multi-Arch: foreign (missed commit) (Closes: #732529).
  * Build-Depend on texlive-pictures (>= 2013.20140314) | pgf to support
    pgf transition to texlive (Closes: #746218).
  * Enable hardening=+all.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 May 2014 18:53:54 +0200

transfig (1:3.2.5.e-2) unstable; urgency=low

  * Update debian/watch.
  * Build-Depend on pgf for manual creation (Closes: #746075).
  * Upgrade to Standards-Version 3.9.5 (no changes).
  * override lintian spelling error ment meant.
  * Set Multi-Arch: foreign, since this doesn't provide libs (Closes: #732529).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Apr 2014 18:38:44 +0200

transfig (1:3.2.5.e-1) unstable; urgency=low

  * New upstream version 3.2.5e.
  * Update all patches to new version.
  * 23_MAXWIDTH, 24_PIC_precision, 25_PIC_leadspace, 26_gs_fail_doubleclose

