## fig2dev 3.2.6a

=== debian/changelog ===
fig2dev (1:3.2.6a-6ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/control: Build transfig transitional package until post-18.04.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Dec 2017 14:17:31 -0700

fig2dev (1:3.2.6a-6) unstable; urgency=medium

  * 32_fill-style-overflow: Sanitize input of fill patterns
    (Closes: #881396).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 13 Nov 2017 17:58:24 +0100

fig2dev (1:3.2.6a-5) unstable; urgency=medium

  * 31_input_sanitizing: Some input sanitizing on FIG files.
    (Closes: #881143, #881144).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 09 Nov 2017 13:25:48 +0100

fig2dev (1:3.2.6a-4ubuntu1) bionic; urgency=medium

  * debian/control: Build transfig transitional package until post-18.04.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 05 Nov 2017 01:43:57 -0700

fig2dev (1:3.2.6a-4) unstable; urgency=medium

  * Drop transitional transfig package for buster (Closes: #872627).
  * Upgrade to Standards-Version 4.1.1
    - Change copyright-format to https.
  * Remove build-dep on dh-autoreconf, since this is default with dh 10.
  * Remove Testsuite header, since this is automatically added.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 01 Nov 2017 11:17:49 +0100

fig2dev (1:3.2.6a-3) unstable; urgency=medium

  * build-dep on texlive-latex-extra instead of etoolbox (Closes: #865922).
  * build-dep on texlive-latex-recommended instead of latex-beamer.
  * Upgrade to Standards-Version 4.0.0 (no changes).
  * 30_man_typo: Fix typo in man page fig2ps2tex.
  * Add autopkgtest: fig2dev-testsuite.
  * Upgrade from debhelper v9 to v10 (autoreconf is now default).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 26 Jun 2017 22:43:10 +0200

fig2dev (1:3.2.6a-2) unstable; urgency=medium

  * build-dep on etoolbox required with current texlive (Closes: #852915).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 Jan 2017 10:30:50 +0100

fig2dev (1:3.2.6a-1) unstable; urgency=medium

  * New upstream version 3.2.6a.
  * Update all patches to new upstream version.
  * 30_creation_date is now incorporated upstream.
  * Fix debian/watch to support letters in version number.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 10 Jan 2017 16:25:22 +0100

fig2dev (1:3.2.6-3) unstable; urgency=medium

  * Optimize package description (including new formats added).
  * Workaround for reproducible builds: Remove /ID from PDF documentation.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 16 Sep 2016 11:55:07 +0200
