=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export FIG2DEV_RGBFILE = $(shell pwd)/fig2dev/rgb.txt
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 #	backup version.m4:
@@ -36,6 +36,13 @@
 	(cd fig2mpdf/doc && perl uudecode *.uue)
 	(cd fig2mpdf/doc && $(MAKE))
 
+# 	strip /ID from sample-presentation.pdf because this is includes current
+#	directory and makes package non reproducible
+	(cd fig2mpdf/doc \
+	 && grep -av '^/ID \[\(<[0-9A-F]\{32\}>\) \1]$$' sample-presentation.pdf \
+		> sample-presentation.pdf_without_id \
+	 && mv -f sample-presentation.pdf_without_id sample-presentation.pdf)
+
 override_dh_clean:
 	dh_clean
