## fig2dev 3.2.7a

=== debian/changelog ===
fig2dev (1:3.2.7a-7ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2019-19555[-test].patch: fixed a buffer overflow in
      read_textobject function and added tests to see if it's fixed.
    - debian/patches/CVE-2020-21534.patch: fixed an out-of-bounds write
      in read_colordef function (CVE-2019-19797), a segmentation fault
      in read_objects function (CVE-2020-21530), a buffer overflow in
      read_textobject function (CVE-2020-21533), a buffer overflow in
      get_line function (CVE-2020-21534), a segmentation fault in
      gencgm_start function (CVE-2020-21535), and a buffer overflow in
      genptk_text function (CVE-2020-21675).
    - debian/patches/CVE-2020-21529[1-2].patch: fixed a buffer overflow in
      bezier_spline function.
    - debian/patches/CVE-2020-21531.patch: fixed a buffer overflow in
      conv_pattern_index function.
    - debian/patches/CVE-2020-21532.patch: fixed a buffer overflow in
      setfigfont function.
    - debian/patches/CVE-2020-21676.patch: fixed a buffer overflow in
      genpstrx_text function.
    - debian/patches/CVE-2021-3561.patch: fixed a flawed bounds check in
      read_objects function.
    - debian/patches/CVE-2021-32280.patch: fixed a NULL pointer dereference
      in compute_closed_spline function.
    - CVE-2019-19555
    - CVE-2019-19797
    - CVE-2020-21530
    - CVE-2020-21533
    - CVE-2020-21534
    - CVE-2020-21535
    - CVE-2020-21675
    - CVE-2020-21529
    - CVE-2020-21531
    - CVE-2020-21532
    - CVE-2020-21676
    - CVE-2021-3561
    - CVE-2021-32280

 -- Amir Naseredini <amir.naseredini@canonical.com>  Mon, 13 Feb 2023 09:53:05 +0000

fig2dev (1:3.2.7a-7) unstable; urgency=medium

  * 40_circle_arrowhead: Do not segfault on circle/half circle arrowheads
    with a magnification larger 42.  This fixes CVE-2019-14275.
    (Closes: #933075).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 27 Jul 2019 09:42:52 +0200

fig2dev (1:3.2.7a-6) unstable; urgency=medium

  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * Replace 37_pgf-etex.patch by 39_tikz-notex.patch, which removes the
    tikz test with etex, because tikz seems to be too fragile on tex.
  * Upgrade to Standards-Version 4.4.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 11 Jul 2019 19:57:35 +0200

fig2dev (1:3.2.7a-5) unstable; urgency=medium

  * 38_omit_showpage: Omit showpage when inserting jpeg into eps output
    (Fixes LP#1804435).
  * 37_pgf-etex: adapt skip definition.
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * Add version output test to testsuite.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Jan 2019 10:54:49 +0100

fig2dev (1:3.2.7a-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Roland Rosenfeld ]
  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (no changes).
  * Upgrade to debhelper v12.
  * Backup testuite output into artifacts.
  * 37_pgf-etex: Use tikz/pgf with etex instead tex.
  * Add buildlog to gitlab-ci test pipeline.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Jan 2019 14:30:38 +0100

fig2dev (1:3.2.7a-3) unstable; urgency=medium

  * 33_hardeninput: Harden input in read.c, fixes tickets #27 and #28
    This fixes CVE-2018-16140 (Closes: #907660).
  * Upgrade to Standards-Version 4.2.1 (no changes).
  * 34_one_point_spline: Ignore splines with less than 2 points, ticket #29.
  * 35_neg_colornum: Change negative color number to default, ticket #30.
  * 36_free_realname: Fix some memory leaks, harden reading files v1.3.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 31 Aug 2018 11:44:49 +0200

fig2dev (1:3.2.7a-2) unstable; urgency=medium

  * Upgrade to Standards-Version 4.2.0 (Declare Rules-Requires-Root: no).
  * 31_maxcomments: Ignore more than MAXCOMMENTS comment lines
    (Closes: #906740).
  * 32_freelinestorage: Correctly free line-storage (Closes: #906743).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 21 Aug 2018 19:46:22 +0200

fig2dev (1:3.2.7a-1) unstable; urgency=medium

  * New upstream version 3.2.7a.
  * This includes 33_testsuite32bit.patch.
  * Adapt all patches to new upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 May 2018 21:56:21 +0200

fig2dev (1:3.2.7-3) unstable; urgency=medium

  * Depend on gs and netpbm instead of only Recommend them (Closes: #896461).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 21 Apr 2018 21:50:58 +0200

fig2dev (1:3.2.7-2) unstable; urgency=medium

  * 33_testsuite32bit: accept different error messages (from 32bit and
    64bit) for test "survive debian bug #890016".

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Apr 2018 23:29:02 +0200

fig2dev (1:3.2.7-1) unstable; urgency=medium

  * New upstream version 3.2.7.
  * This sanitizes input (Closes: #882021, #882022, #890015, #890016).
  * This correctly embeds eps files with binary preview (Closes: #248807).
  * The following patches are now incorporated upstream:
    31_input_sanitizing, 32_fill-style-overflow.
  * Adapt all other patches to new upstream version.
  * Adapt testsuite to new upstream testsuite.
  * Fix typo in 29_RGBFILE description.
  * Upgrade to debhelper v11.
  * Add Vcs-headers pointing to salsa.
  * Remove symlink CHANGES -> changelog.
  * Remove pgf alternative to texlive-pictures from Build-Deps.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * Fix debian/watch to handle versions without letters.
  * 30_man_typo: Fix more spelling mistakes.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Apr 2018 19:03:37 +0200
