=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
                gawk,
                ghostscript,
                libpng-dev,
@@ -16,14 +16,21 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
-               texlive-pictures (>= 2013.20140314) | pgf,
+               texlive-pictures (>= 2013.20140314),
                xutils-dev
 Homepage: https://sourceforge.net/projects/mcj/
+Vcs-Git: https://salsa.debian.org/debian/fig2dev.git
+Vcs-Browser: https://salsa.debian.org/debian/fig2dev
+Rules-Requires-Root: no
 
 Package: fig2dev
 Architecture: any
-Depends: gawk, x11-common, ${misc:Depends}, ${shlibs:Depends}
-Recommends: ghostscript, netpbm (>= 2:10.0-4)
+Depends: gawk,
+         ghostscript,
+         netpbm (>= 2:10.0-4),
+         x11-common,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: transfig (<< 1:3.2.6~beta-1~)
 Breaks: transfig (<< 1:3.2.6~beta-1~)
 Provides: transfig
@@ -39,12 +46,3 @@
  pdftex, pdftex_t, pic, pict2e, pictex, png, ppm, ps, pstex, pstex_t,
  pstricks, ptk (Perl/tk), shape, sld (AutoCad slide format), svg,
  textyl, tiff, tikz, tk (Tcl/Tk), tpic, xbm and xpm.
-
-# This delta can be dropped after 18.04 ships:
-Package: transfig
-Depends: fig2dev, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package for fig2dev
- This is a transitional dummy package. It can safely be removed.
