=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2016 Roland Rosenfeld <roland@debian.org>
+# (C) 1999-2018 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -60,7 +60,7 @@
 	dh_auto_install --destdir=$(DEBDIR)
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k CHANGES
+	dh_installchangelogs CHANGES
 
 override_dh_compress:
 	dh_compress -X.pdf
