=== debian/tests/control ===
Tests: fig2dev-testsuite
Restrictions: rw-build-tree
Depends: autoconf,
         debhelper,
         ghostscript,
         libpng-dev,
         libxpm-dev,
         netpbm,
         texlive-latex-base,
         texlive-pictures,
         @

Tests: version
Depends: fig2dev
