## fig2dev 3.2.7b

=== debian/changelog ===
fig2dev (1:3.2.7b-5) unstable; urgency=medium

  * 34_incomplete_closed_splines: Do not crash on incomplete, closed
    splines (Closes: #960736).
  * Update list of output formats in package description (Closes: #966511).
  * Add Forwarded headers to several debian/patches.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 02 Aug 2020 13:51:50 +0200

fig2dev (1:3.2.7b-4) unstable; urgency=medium

  * debian/tests/fig2dev-testsuite: Avoid suppressing output, but do not
    handle build warnings as test fails.
  * Update standards version to 4.5.0, no changes needed.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * Update debian/watch to version=4 and optimize regex.
  * 33_test1_32bit: Fix autopkg test warning on 32bit architectures.
    Thanks to Matthias Klose (Closes: #961126).
  * Update to debhelper 13.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 20 May 2020 18:26:07 +0200

fig2dev (1:3.2.7b-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing colon in closes line.
  * Set upstream metadata fields: Archive, Bug-Submit (from
    ./configure).

  [ Roland Rosenfeld ]
  * Update upstream metadata and add several fields.
  * 31_CVE-2019-19746: Reject huge arrow types causing integer overflow.
    This fixes CVE-2019-19746 (Closes: #946628).
  * 30_CVE-2019-19555: Add test to the patch.
  * 32_fgets2getline: Replace most calls to fgets() by getline() in
    read.c.  This fixes CVE-2019-19797 (Closes: #946866).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 06 Jan 2020 22:13:27 +0100

fig2dev (1:3.2.7b-2) unstable; urgency=medium

  * 30_CVE-2019-19555: Allow Fig v2 text strings ending with multiple ^A.
    This fixes CVE-2019-19555 (Closes: #946176).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 04 Dec 2019 22:04:13 +0100

fig2dev (1:3.2.7b-1) unstable; urgency=medium

  * New upstream version 3.2.7b.
  * Update all patches to new version.
  * 30_man_typo, 31_maxcomments, 32_freelinestorage, 33_hardeninput,
    34_one_point_spline, 35_neg_colornum, 36_free_realname,
    38_omit_showpage, 39_tikz-notex, and 40_circle_arrowhead are now
    incorporated upstream.
  * Do not clip objects with line-thickness 0 having arrows (Closes: #933604).
  * Define version test as superficial.
  * Upgrade to Standards-Version 4.4.1 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 08 Nov 2019 16:19:03 +0100
