=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: fig2dev
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Roland Rosenfeld <roland@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                gawk,
                ghostscript,
                libpng-dev,
@@ -41,8 +40,9 @@
  (Facility for Interactive Generation of figures) files.
  .
  It can convert files produced by xfig to box, cgm, dxf, epic, eepic,
- eepicemu, emf, eps, gbx, ge, gif, ibmgl, jpeg, latex, map (HTML image
- map), mf (MetaFont), mp (MetaPost), mmp (Multi-Meta-Post), pcx, pdf,
+ eepicemu, emf, eps, gbx (Gerber beta driver), gif, ibmgl, jpeg,
+ latex, map (HTML image map), mf (MetaFont), mp (MetaPost), pcx, pdf,
  pdftex, pdftex_t, pic, pict2e, pictex, png, ppm, ps, pstex, pstex_t,
- pstricks, ptk (Perl/tk), shape, sld (AutoCad slide format), svg,
- textyl, tiff, tikz, tk (Tcl/Tk), tpic, xbm and xpm.
+ pstricks, ptk (Perl/Tk), shape (LaTeX shaped paragraphs), sld
+ (AutoCad slide format), svg, textyl, tiff, tikz, tk (Tcl/Tk), tpic,
+ xbm and xpm.
