## fig2dev 3.2.8

=== debian/changelog ===
fig2dev (1:3.2.8-3) unstable; urgency=medium

  * 30_arrow-poly: Remove arrows from polygon with single point.
  * 31_trunc-subsuper: Allow truncated sub/superscripts in text.
  * 32_arrow-point: Omit arrows without points in svg output.
  * 33_sanitize-color: Sanitize color definitions.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Apr 2021 11:28:30 +0200

fig2dev (1:3.2.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981131)
    * Drop xutils-dev as fig2dev no longer uses xmkmf.
    * Annotate netpbm and texlive-latex-extra <!nocheck> as they are only
      used during tests.

  [ Roland Rosenfeld ]
  * Preserve some files, that are overwritten by dh_autoreconf or deleted
    or changed.
  * Add support for nodoc option.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 06 Feb 2021 12:59:35 +0100

fig2dev (1:3.2.8-1) unstable; urgency=medium

  * New upstream version 3.2.8.
  * Update all patches to new upstream version.
  * The following patches are now incorporated upstream:
    30_CVE-2019-19555, 31_CVE-2019-19746, 32_fgets2getline,
    33_test1_32bit, 34_incomplete_closed_splines.
  * d/t/fig2dev-testsuite: use dh_autoreconf instead of autoconf.
  * d/t/version: work around git snapshot naming version scheme.
  * Remove libxpm-dev from Build-Depends and add zlib1g-dev.
  * Update standards version to 4.5.1, no changes needed.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 26 Dec 2020 16:40:20 +0100
