=== debian/tests/control ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 Tests: version
 Depends: fig2dev
+Restrictions: superficial
