## fig2dev 3.2.8b

=== debian/changelog ===
fig2dev (1:3.2.8b-1) unstable; urgency=medium

  * New upstream release 3.2.8b.
  * Update all patches to new upstream version.
  * 30_arrow-poly, 31_trunc-subsuper, 32_arrow-point, and
    33_sanitize-color are now incorporated upstream.
  * Package test binaries and use them in autopkgtest.
  * Remove the fig2mpdf stuff.  fig2dev upstream does not incorporate, the
    patch homepage is no longer available and the patch breaks crossbuild.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Aug 2021 09:00:40 +0200

fig2dev (1:3.2.8a-1) unstable; urgency=medium

  * New upstream release 3.2.8a.
  * Adapt file preserving to new upstream version.
  * Update debian/copyright.
  * Rebuild testsuite during build and in autopkgtest.
  * Update standards version to 4.6.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 20 Aug 2021 12:44:28 +0200
