=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                gawk,
-               ghostscript,
+               ghostscript <!nodoc>,
                libpng-dev,
-               libxpm-dev (>= 1:3.5.4.2),
-               netpbm,
-               texlive-font-utils,
-               texlive-fonts-recommended,
-               texlive-lang-german,
-               texlive-latex-base,
-               texlive-latex-extra,
-               texlive-latex-recommended,
-               texlive-pictures (>= 2013.20140314),
-               xutils-dev
+               netpbm <!nocheck>,
+               texlive-font-utils <!nodoc>,
+               texlive-fonts-recommended <!nodoc>,
+               texlive-lang-german <!nodoc>,
+               texlive-latex-base <!nodoc>,
+               texlive-latex-extra <!nocheck !nodoc>,
+               texlive-latex-recommended <!nodoc>,
+               texlive-pictures (>= 2013.20140314) <!nodoc>,
+               zlib1g-dev
 Homepage: https://sourceforge.net/projects/mcj/
 Vcs-Git: https://salsa.debian.org/debian/fig2dev.git
 Vcs-Browser: https://salsa.debian.org/debian/fig2dev
