=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
          debhelper,
          ghostscript,
          libpng-dev,
-         libxpm-dev,
          netpbm,
          texlive-latex-base,
          texlive-pictures,
