## fig2dev 3.2.9

=== debian/changelog ===
fig2dev (1:3.2.9-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:52:53 +0000

fig2dev (1:3.2.9-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:28:38 +0000

fig2dev (1:3.2.9-3) unstable; urgency=medium

  * d/t/control: Remove needless dependencies.
  * d/t/control: 2nd run of testsuite with poppler-utils installed.
  * 33_compound-utf8: Fix missing prolog for utf-8 files in EPS when using
    compound objects (Closes: #1052263).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 03 Oct 2023 16:36:09 +0200

fig2dev (1:3.2.9-2) unstable; urgency=medium

  * 30_tex-F: Fix option -F in e(e)pic and latex outputs.
  * 31_testsuite-gs10.02: Adapt testsuite to cope with ghostscript 10.02.
  * 32_gs10.02-sPageList: Work around issue with ghostscript 10.02 and
    "-sPageList=1" (Closes: #1052906).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 26 Sep 2023 18:07:41 +0200

fig2dev (1:3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9.
  * The following patches are now incorporated upstream:
    30_epsimport, 31_testsuite-gs9.56, 32_pass_langname, 33_sanitize_rect,
    34_sanitize_arc, 35_pict2e_output, 36_arrowhead, 37_arrow2point.
  * Update to Standards-Version 4.6.2 (no changes).
  * Remove unused lintian override.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Aug 2023 11:41:06 +0200

fig2dev (1:3.2.8b-3) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Update standards version to 4.6.1 (no changes).
  * 32_pass_langname: Pass output language name to driver.
  * 33_sanitize_rect: Sanitize rectangles with less than 4 corners.
  * 34_sanitize_arc: Sanitize arc objects.
  * 35_pict2e_output: Pict2e output: Arcs ending at multiples of pi/4.
  * 36_arrowhead: Accept arrowheads without any points.
  * 37_arrow2point: Arrow on a two-point, 0 thickness line.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on texlive-pictures.
    + fig2dev: Drop versioned constraint on netpbm in Depends.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 20 Sep 2022 17:24:07 +0200

fig2dev (1:3.2.8b-2) unstable; urgency=medium

  * 30_epsimport: Stop misplacement of embedded eps images.
  * 31_testsuite-gs9.56: Adapt testsuite to cope with ghostscript 9.56.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 12 Apr 2022 14:19:23 +0200
