=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: fig2dev
 Section: graphics
 Priority: optional
-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                gawk,
                ghostscript <!nodoc>,
@@ -14,7 +15,7 @@
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nocheck !nodoc>,
                texlive-latex-recommended <!nodoc>,
-               texlive-pictures (>= 2013.20140314) <!nodoc>,
+               texlive-pictures <!nodoc>,
                zlib1g-dev
 Homepage: https://sourceforge.net/projects/mcj/
 Vcs-Git: https://salsa.debian.org/debian/fig2dev.git
@@ -25,7 +26,7 @@
 Architecture: any
 Depends: gawk,
          ghostscript,
-         netpbm (>= 2:10.0-4),
+         netpbm,
          x11-common,
          ${misc:Depends},
          ${shlibs:Depends}
