=== debian/tests/control ===
Tests: fig2dev-testsuite
Restrictions: rw-build-tree
Depends: autoconf,
         debhelper,
         libpng-dev,
         texlive-latex-base,
         texlive-pictures,
         @

# run testsuite with different packages installed.
# Now poppler-utils is installed (used with priority instead of gs in readeps.c)
# latex und png are not installed, so these tests are skipped now.
Tests: fig2dev-testsuite
Restrictions: rw-build-tree
Depends: autoconf,
         debhelper,
	 poppler-utils,
         @

Tests: version
Depends: fig2dev
Restrictions: superficial
