## fig2dev 3.2.9a

=== debian/changelog ===
fig2dev (1:3.2.9a-5) unstable; urgency=medium

  * Update git repository layout to follow DEP-14
  * Update debian/watch to version 5.
  * Declare compliance with Debian Policy 4.7.3.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Update years of packaging copyright.
  * Remove «Priority: optional», which is the current default.
  * Update FSF address in debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 Jan 2026 11:21:53 +0100

fig2dev (1:3.2.9a-4) unstable; urgency=medium

  * 37_emptystring: Recognize a text object with an empty string
    (regression with 31_leadingspace).
  * 38_zero2ndline: Permit \0 in the second line in the fig file.
  * 39_ge-spline: ge output: correct spline computation.
  * 40_nan-spline: Detect nan in spline control values.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 10 Apr 2025 22:37:55 +0200

fig2dev (1:3.2.9a-3) unstable; urgency=medium

  * Replace 35_pict2e-radius1 by newer patch 35_arcradius3: reject arcs
    with a radius smaller than 3.
  * 36_fullprototypes: Fix argument types in function prototypes
    (Closes: #1096628).
  * Declare compliance with Debian Policy 4.7.2.
  * Update years of packaging copyright.
  * Set upstream metadata fields: Repository-Browse.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 01 Mar 2025 16:26:50 +0100

fig2dev (1:3.2.9a-2) unstable; urgency=medium

  * 30_sanitizefix: Fix for test 69 with -fsanitize=address.
  * 31_leadingspace: Allow leading spaces in text objects.
  * 32_arcbox-zeroradius: Allow an arc-box with zero radius.
  * 33_hugepatternlength: Reject huge pattern lengths.
  * 34_arc-coincident: Reject arcs with co-incident points.
  * 35_pict2e-radius1: pict2e deal with arcs with an radius of 1.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 24 Jan 2025 10:50:34 +0100

fig2dev (1:3.2.9a-1) unstable; urgency=medium

  * New upstream version 3.2.9a.
  * The following patches are now incorporated upstream: 30_tex-F,
    31_testsuite-gs10.02, 32_gs10.02-sPageList, 33_compound-utf8,
    34_pdfversion.
  * Update to Standards-Version 4.7.0 (no changes).
  * Update debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 31 Dec 2024 13:14:04 +0100

fig2dev (1:3.2.9-4) unstable; urgency=medium

  * Update debian/copyright with support by licenserecon.
  * 34_pdfversion: Make pdf version configurable (defaults now to 1.5),
    since Ghostscript 10.03.0 warns about 1.4 and breaks test suite.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 02 Apr 2024 19:55:41 +0200
