=== debian/watch ===
Version: 5

Source: https://sf.net/mcj/
Matching-Pattern: .*/fig2dev@ANY_VERSION@@ARCHIVE_EXT@
Uversionmangle: s/-(alpha|beta|rc)/~$1/
